# command_pointing.awk
# awk -f command_pointing.awk tmp2.pointing > command.pointing

BEGIN{
    pixelsize=5.30  #arcsec/pixel
    movespeed=15.0  #arcsec/sec
}

{
    dX=($3-$1)*pixelsize/movespeed
    dY=($4-$2)*pixelsize/movespeed

#以下の記述(特にコマンド部)はとりあえず。ちゃんと書き換える必要あり。
    if(dX>=0) printf("/program/LX200/meade :RG# -s 4\n/program/LX200/meade :Mw# -s 4\nsleep %.2f\n/program/LX200/meade :Qw# -s 4\n", dX)
    else      printf("/program/LX200/meade :RG# -s 4\n/program/LX200/meade :Me# -s 4\nsleep %.2f\n/program/LX200/meade :Qe# -s 4\n", -dX)
    if(dY>=0) printf("/program/LX200/meade :RG# -s 4\n/program/LX200/meade :Ms# -s 4\nsleep %.2f\n/program/LX200/meade :Qs# -s 4\n", dY)
    else      printf("/program/LX200/meade :RG# -s 4\n/program/LX200/meade :Mn# -s 4\nsleep %.2f\n/program/LX200/meade :Qn# -s 4\n", -dY)
}
