# best_exposure.awk
# awk -f best_exposure.awk image_stat.dat
#
# CALCULATE "BEST EXPOSURE TIME"

BEGIN{
    n=0
    a=0.2
}

{
    if(n==0){
        exposure[n]=0.121
        FWHMmed[n]=$1
        FWHMmax[n]=$2
        number[n]=$8
        n++
    }
    else{
        exposure[n]=a
        FWHMmed[n]=$1
        FWHMmax[n]=$2
        number[n]=$8
        n++
        a=a*2
    }
}

END{
    for(i=0; i<n; i++){
#        if(number[i] >= 3){
            if(FWHMmed[i] <= 6){
                if((FWHMmax[i]-FWHMmed[i])<=2.236){
                    exptime=exposure[i]
                }
            }
#        }
    }

#gnuplotに渡すデータの作成
    printf ("set label 'best exposure = %.2f' at 3,6\n", exptime)
    printf ("plot '/program/AIRT40/AIRTfinder/sextractor/image_stat.dat' using 0:1 with points pt 7 title 'median', '/program/AIRT40/AIRTfinder/sextractor/image_stat.dat' using 0:2 with points pt 7 title 'max', 10, 10.333\n")
    printf ("pause -1\n")
}
